// 委托单接口列表
let base = "/gdep-plm/orderTicket"
export default {
    orderTicket:{
        // 委托单详情
        detail:{
            url: `${base}/detail`,
            method: 'get'
        },
        // 新建委托单
        save:{
            url: `${base}/save`,
            method: 'post'
        },
        // 编辑委托单
        update:{
            url: `${base}/update`,
            method: 'post'
        },
        // 拆分委托单
        split:{
            url: `${base}/split`,
            method: 'post'
        },
        // 删除委托单
        del:{
            url: `${base}/removeByIds`,
            method: 'DELETE'
        },
        // 取消发布
        abolishByIds:{
            url: `${base}/abolishByIds`,
            method: 'post'
        },
        // 确认寄样
        sendSamplesByIds:{
            url: `${base}/sendSamplesByIds`,
            method: 'post'
        },
        // 风格树
        styleTreeList:{
            url: `${base}/styleTreeList`,
            method: 'get'
        },
		// 委托单列表
		entrustmentPage:{
		    url: `${base}/page`,
		    method: 'get'
		},
		// 委托单待寄样列表
		noSampleOrder:{
		    url: `${base}/noSampleOrder`,
		    method: 'get'
		},
		// 我的面料列表
		materialList:{
		    url: `${base}/materialList`,
		    method: 'get'
		},
		// 面料详情
		materialDetail:{
		    url: `${base}/materialDetail`,
		    method: 'get'
		},
    }
}
